Skip to main content
`Ctrl`+`K`

# SNESHasNPC

Returns whether a nonlinear preconditioner is associated with the given `SNES`

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESHasNPC(SNES snes, PetscBool *has_npc)

Not Collective

## Input Parameter

- snes - iterative context obtained from `SNESCreate()`

## Output Parameter

- has_npc - whether the `SNES` has a nonlinear preconditioner or not

## See Also

SNES: Nonlinear Solvers, `SNESSetNPC()`, `SNESGetNPC()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages